import 'package:get/get.dart';
import 'package:hordev2/app/data/models/collector_model.dart';
import 'package:hordev2/app/data/models/company_model.dart';
import 'package:hordev2/app/data/models/iot_data_changes_model.dart';
import 'package:hordev2/app/data/models/iot_data_model.dart';
import 'package:hordev2/app/data/models/machine_model.dart';
import 'package:hordev2/app/data/models/sensor_model.dart';
import 'package:hordev2/main.dart';
import 'package:hordev2/main.reflectable.dart';
import 'base_provider.dart';
import 'package:reflectable/reflectable.dart';

class SensorProvider extends BaseProvider {
  @override
  String itemUrl = "sensor";

  @override
  var element = new Sensor();
}

class MachineProvider extends BaseProvider {
  @override
  var element = new Machine();

  @override
  String itemUrl = "sensor";
}

class CollectorProvider extends BaseProvider {
  @override
  var element = new Collector();

  @override
  String itemUrl = "collector";
}

class CompanyProvider extends BaseProvider {
  @override
  var element = new Company();

  @override
  String itemUrl = "company";
}

class IotDataChangesProvider extends BaseProvider {
  @override
  var element = new IotDataChanges();

  @override
  String itemUrl = "iot_data_changes";
}

class IotDataProvider extends BaseProvider {
  @override
  var element = new IotData();

  @override
  String itemUrl = "iot_data";
}
